Create an app role
curl --request POST \
--url https://api.example.com/api/app/{app_id}/roles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/app/{app_id}/roles"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/app/{app_id}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_name": "<string>",
"created_date": "<unknown>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Create an app role
Creates an app-to-role mapping for a specified app so you can access/manage the app.
Only users with the nx1_app_manager role can do this.
This is also configurable via the MANAGER_ROLE environment variable.
POST
/
api
/
app
/
{app_id}
/
roles
Create an app role
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app.
Query Parameters
Name of the role to associate with the app.
Was this page helpful?

